import 'package:dart_spectre/spectre.dart';
import 'package:test/test.dart';

void main() {
  test("Example", () {
    var spectre = Spectre("Robert Lee Mitchell", "banana colored duckling");
    var pw = spectre.site("masterpasswordapp.com");
    expect(pw, equals("Jejr5[RepuSosp"));
  });

  test("Example_second", () {
    var scoper = SimpleScoper("com.jojodev.jolheiser");
    var spectre = Spectre("Robert Lee Mitchell", "banana colored duckling", scoper);
    var pw = spectre.site("jojodev.com", scope: Scope.identification, templateType: Template.maximum, counter: 2);
    expect(pw, equals("Ig^JIcxD!*)TbefJBi6-"));
  });
}